asn1_array2tree(3)

NAME
asn1_array2tree - Creates the structures needed to manage the ASN1 definitions.

SYNOPSIS
#include <libtasn1.h>

asn1_retCode asn1_array2tree(const ASN1_ARRAY_TYPE * array, ASN1_TYPE * definitions, char * errorDescription);

ARGUMENTS

const ASN1_ARRAY_TYPE * array
    specify the array that contains ASN.1 declarations

ASN1_TYPE * definitions
    return the pointer to the structure created by *ARRAY ASN.1 declarations

char * errorDescription
    return the error description.

DESCRIPTION
Creates the structures needed to manage the ASN.1 definitions. array is a vector created by asn1_parser2array().

RETURNS

ASN1_SUCCESS
Structure created correctly.

ASN1_ELEMENT_NOT_EMPTY
*definitions not ASN1_TYPE_EMPTY.

ASN1_IDENTIFIER_NOT_FOUND
In the file there is an identifier that is not defined (see errorDescription for more information).

ASN1_ARRAY_ERROR
The array pointed by array is wrong.

COPYRIGHT
Copyright © 2006, 2007, 2008 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libtasn1 is maintained as a Texinfo manual. If the info and libtasn1 programs are properly installed at your site, the command

    info libtasn1

should give you access to the complete manual.